Page MenuHomePhabricator

Provide a `runs.insecurely` to be used with test variants
ClosedPublic

Authored by dduvall on Mar 10 2018, 12:11 AM.

Details

Reviewers
thcipriani
mmodell
hashar
demon
Group Reviewers
Release-Engineering-Team
Commits
rGBLBRcffb77e9dbb1: Provide a `runs.insecurely` to be used with test variants
Patch without arc
git checkout -b D1003 && curl -L https://phabricator.wikimedia.org/D1003?download=true | git apply
Summary

Use cases involving running of test suites and doc generation require
more liberal ownership and read/write permission to application files.
When runs.insecurely is set to true, the effective runtime user will
be lives.as, the same user that owns the application files and
installed dependencies.

D999 is a complement to this change to allow restrictions on this and
other potentially sensitive configuration.

Depends on D999, D1002

Test Plan

Run go test ./....

Diff Detail

Repository
rGBLBR Blubber
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

dduvall created this revision.Mar 10 2018, 12:11 AM
Restricted Application added a reviewer: Release-Engineering-Team. · View Herald TranscriptMar 10 2018, 12:11 AM
Restricted Application added a project: Release-Engineering-Team. · View Herald Transcript
dduvall requested review of this revision.Mar 10 2018, 12:11 AM
dduvall updated this revision to Diff 2631.Mar 12 2018, 6:00 PM
dduvall retitled this revision from Provide a `runs.insecurely` for liberal file ownership to Provide a `runs.insecurely` to be used with test variants.
dduvall edited the summary of this revision. (Show Details)

Changed implementation to use the lives.as as the effective runtime user instead of trying to hack up file ownership using the runs.as user

dduvall updated this revision to Diff 2655.Mar 22 2018, 6:00 PM

Rebased

thcipriani accepted this revision.Mar 22 2018, 9:00 PM

Tests look good. Patch is pretty light weight. Does what it says :)

This revision is now accepted and ready to land.Mar 22 2018, 9:00 PM
This revision was automatically updated to reflect the committed changes.